View Issue Details

IDProjectCategoryView StatusLast Update
0001018SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.0.pre.1 
Target Version3.3.0.pre.1Fixed in Version3.3.0 
Summary0001018: Add a mechanism for a remote node to request a table reload. This is helpful while rolling out new tables.
DescriptionAdd a mechanism for a remote node to request a table reload. This is helpful while rolling out new tables.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f7f82d08

2013-01-29 20:23:07

chenson

Details Diff
0001018: Add a mechanism for a remote node to request a table reload. This is helpful while rolling out new tables.
0001018
mod - symmetric-assemble/src/docbook/extensions.xml Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/SelectiveRouterControl.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TableReloadRequest.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TableReloadRequestKey.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/IDataToRouteGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SimpleRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master 34bd45a5

2013-01-29 20:35:00

chenson

Details Diff
0001018: Add a mechanism for a remote node to request a table reload. This is helpful while rolling out new tables.
0001018
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: master 7ea53111

2013-01-29 20:53:08

chenson

Details Diff
0001018: Add a mechanism for a remote node to request a table reload. This is helpful while rolling out new tables.
0001018
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2013-01-29 20:19 chenson New Issue
2013-01-29 20:19 chenson Status new => assigned
2013-01-29 20:19 chenson Assigned To => chenson
2013-01-29 20:53 chenson Status assigned => resolved
2013-01-29 20:53 chenson Fixed in Version => 3.3.0.pre.1
2013-01-29 20:53 chenson Resolution open => fixed
2013-01-30 08:46 chenson Status resolved => closed
2013-02-04 15:48 chenson Fixed in Version 3.3.0.pre.1 => 3.3.0
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6789
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6790
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6791
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7ea53111
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 34bd45a5
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f7f82d08